################
# Created by: ajb
# Maintainer: $Author: ajb $ 
# Created on: 2009-04-08
# Last Changed: $Date: 2011-05-13 09:58:15 +0100 (Fri, 13 May 2011) $
# Id: $Id: Build.PL 13162 2011-05-13 08:58:15Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-pipeline/tags/release-27.0/Build.PL $


use strict;
use warnings;
use Module::Build;
use lib qw(. lib);

our $VERSION = do { my @r = (q$Revision: 13162 $ =~ /\d+/mxgs); sprintf '%d.'.'%03d' x $#r, @r };

my $builder = Module::Build->new(
				 module_name         => 'npg-pipeline',
				 dist_author         => q(Andy Brown <ajb@sanger.ac.uk>),
				 dist_version        => $VERSION,
				 dist_abstract       => q[modules relating to the sanger pluggable pipeline for the Illumina post processing pipeline],
				 license             => 'lgpl3',
				 requires            => {
          'lib' => 0,
          'Module::Build' => 0,
				  'Moose' => 0.93,
				  'Moose::Role' => 0,
				  'MooseX::AttributeCloner' => 0.17,
				  'MooseX::Getopt' => 0,
          'MooseX::InsideOut' => 0,
				  'Carp' => 1.04,
				  'Class::Accessor' => 0.31,
          'Digest::MD5' => 2.36,
				  'English' => 1.02,
				  'Readonly' => '1.03',
				  'strict' => 1.03,
				  'Test::More' => 0.74,
				  'warnings' => 1.05,
				  'Cwd' => 0,
				  'POSIX' => 0,
			    'Getopt::Long'  => '2.37',
			    'Class::Std' => 0,
          'HTML::PullParser' => 0,
          'YAML' => 0,
          'MIME::Parser' => 0,
          'MIME::Lite' => 0,
          'XML::LibXML' => 0,
          'XSLT::Cache' => 0,
          'JSON' => 0,
          'Test::Exception' => 0,
          'Test::Exception::LessClever' => 0,
          'File::Spec' => 0,
          'Perl6::Slurp' => 0,
          'npg_common::request' => 0,
          'File::Slurp' => 0,
#          'npg_common::mailer' => 0,
#          'npg_common::pod_usage' => 0,
#          'npg_common::roles::run::path_info' => 0,
#          'npg_common::roles::run::long_info' => 0,
#          'npg_common::roles::run::fs_resource' => 0,
#          'npg_common::roles::log' => 0,
#          'npg_common::roles::run::short_info' => 0,
#          'npg_common::config::roles::ConfigBase' => 0,
#          'npg::api::run_status_dict' => 0,
#          'npg::api::run' => 0,
#          'npg::api::util' => 0,
#          'npg_qc::autoqc::autoqc' => 0,
#          'st::api::batch' => 0,

				 },
				 recommends          => {
							},
				 build_requires      => {
							 'Test::More' => '0.8',
               'Test::Exception' => 0,
               'Test::Exception::LessClever' => 0,
               'Test::Deep' => 0,
               'DateTime' => 0,
               'Digest::MD5' => 0,
               'base' => 0,
               'YAML' => 0,
               'MIME::Parser' => 0,
               'MIME::Lite' => 0,
               'Test::MockObject' => 0,
               'File::Temp' => 0,
							},
				 build_recommends    => {
							 'Test::Cmd' => '1.05',
							 'Test::File' => '1.28',
							 'Test::Perl::Critic' => 0,
							 'Test::Distribution' => 0,
							 'Test::Kwalitee' => 0,
							 'Test::Pod' => 0,
							 'Test::Pod::Coverage' => 1.00,
							 
							},
				 configure_requires => {
				   'Readonly' => 0,
				 },
				 create_makefile_pl  => 'passthrough',
				);

$builder->create_build_script();
