#############
# $Id: run.pm 13162 2011-05-13 08:58:15Z ajb $
# Created By: 
# Last Maintained By: $Author: ajb $
# Created On: 
# Last Changed On: $Date: 2011-05-13 09:58:15 +0100 (Fri, 13 May 2011) $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-pipeline/tags/release-27.0/lib/npg_pipeline/run.pm $

package npg_pipeline::run;
use Moose;
use MooseX::InsideOut;
use Carp;
use English qw{-no_match_vars};
use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 13162 $ =~ /(\d+)/mxs; $r; };

extends q{npg_pipeline::base};
with qw{npg_common::roles::run::path_info};

sub _get_instrument_dir {
  my ( $self, $run_name ) = @_;

  # we should be able to get the directory from the runfolder_path,
  # since construction should be consistent.
  my $inst_dir;
  eval {

    my @path = split m{/}xms, $self->runfolder_path();
    my $runfolder_part = pop @path;

    $inst_dir = join q{/}, @path;
  } or do {
    croak $EVAL_ERROR;
  };

  return $inst_dir;

}


no Moose;
__PACKAGE__->meta->make_immutable;
1;
__END__

=head1 NAME

npg_pipeline::run

=head1 VERSION

$LastChangedRevision: 13162 $

=head1 SYNOPSIS

  my $run_sub_class_obj = npg_pipeline::run::subclass->new({
    run_folder    => $sRunFolder,
    id_run        => $iIdRun,
    analysis_path => $sAnalysisPath,
  });

=head1 DESCRIPTION

Ultimate base class to any object modules which need to act with the run, or the base run_folder

=head1 SUBROUTINES/METHODS

=head2 get_instrument_dir - private method to obtain the instrument directory that the run_folder should be found in

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose

=item Carp

=item English -no_match_vars

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: ajb $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Andy Brown (ajb@sanger.ac.uk)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
